# Cinder

# cinder::DataSourcePath Class Reference

`#include <DataSource.h>`

Inherits cinder::DataSource.

List of all members.

## Public Member Functions
virtual bool | isFilePath ()
virtual bool | isUrl ()
virtual IStreamRef | getStream ()
const std::string & | getFilePath ()
const Url & | getUrl ()
const std::string & | getFilePathHint ()
Buffer & | getBuffer ()
## Static Public Member Functions
static DataSourcePathRef | createRef (const std::string &path)
## Protected Member Functions
| DataSourcePath (const std::string &path)
virtual void | createBuffer ()
void | setFilePathHint (const std::string &aFilePathHint)
## Protected Attributes
IStreamFileRef | mStream
Buffer | mBuffer
std::string | mFilePath
std::string | mFilePathHint
Url | mUrl

## Constructor & Destructor Documentation

cinder::DataSourcePath::DataSourcePath | ( | const std::string & | path | ) | `[protected]`

## Member Function Documentation

DataSourcePathRef cinder::DataSourcePath::createRef | ( | const std::string & | path | ) | `[static]`

virtual bool cinder::DataSourcePath::isFilePath | ( |  | ) | `[virtual]`

Implements cinder::DataSource.

virtual bool cinder::DataSourcePath::isUrl | ( |  | ) | `[virtual]`

Implements cinder::DataSource.

IStreamRef cinder::DataSourcePath::getStream | ( |  | ) | `[virtual]`

Implements cinder::DataSource.

void cinder::DataSourcePath::createBuffer | ( |  | ) | `[protected, virtual]`

Implements cinder::DataSource.

const std::string & cinder::DataSource::getFilePath | ( |  | ) | `[inherited]`

const Url & cinder::DataSource::getUrl | ( |  | ) | `[inherited]`

const std::string & cinder::DataSource::getFilePathHint | ( |  | ) | `[inherited]`

Buffer & cinder::DataSource::getBuffer | ( |  | ) | `[inherited]`

void cinder::DataSource::setFilePathHint | ( | const std::string & | aFilePathHint | ) | `[protected, inherited]`

## Member Data Documentation

IStreamFileRef cinder::DataSourcePath::mStream`[protected]`

Buffer cinder::DataSource::mBuffer`[protected, inherited]`

std::string cinder::DataSource::mFilePath`[protected, inherited]`

std::string cinder::DataSource::mFilePathHint`[protected, inherited]`

Url cinder::DataSource::mUrl`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/DataSource.h
- src/cinder/DataSource.cpp